Bug 800613 - SELinux is preventing /usr/sbin/ssmtp from 'connectto' accesses on the unix_stream_socket /dev/log.
SELinux is preventing /usr/sbin/ssmtp from 'connectto' accesses on the unix_s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8c6588ca1245c32f45854f7612e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 14:25 EST by HUGO LOPES
Modified: 2012-03-23 20:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-80.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 20:37:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description HUGO LOPES 2012-03-06 14:25:29 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.7-1.fc16.x86_64
reason:         SELinux is preventing /usr/sbin/ssmtp from 'connectto' accesses on the unix_stream_socket /dev/log.
time:           Ter 06 Mar 2012 19:24:14 WET

description:
:SELinux is preventing /usr/sbin/ssmtp from 'connectto' accesses on the unix_stream_socket /dev/log.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that ssmtp should be allowed connectto access on the log unix_stream_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep sendmail /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:system_mail_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:init_t:s0
:Target Objects                /dev/log [ unix_stream_socket ]
:Source                        sendmail
:Source Path                   /usr/sbin/ssmtp
:Port                          <Desconhecida>
:Host                          (removed)
:Source RPM Packages           ssmtp-2.61-16.fc15.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux wkgames 3.2.7-1.fc16.x86_64 #1 SMP Tue Feb
:                              21 01:40:47 UTC 2012 x86_64 x86_64
:Alert Count                   3
:First Seen                    Ter 06 Mar 2012 19:14:08 WET
:Last Seen                     Ter 06 Mar 2012 19:14:08 WET
:Local ID                      1bd71260-e0ee-428b-9c55-77828b733b36
:
:Raw Audit Messages
:type=AVC msg=audit(1331061248.533:198): avc:  denied  { connectto } for  pid=7488 comm="sendmail" path="/dev/log" scontext=system_u:system_r:system_mail_t:s0-s0:c0.c1023 tcontext=system_u:system_r:init_t:s0 tclass=unix_stream_socket
:
:
:type=SYSCALL msg=audit(1331061248.533:198): arch=x86_64 syscall=connect success=no exit=EACCES a0=3 a1=31b53b4820 a2=6e a3=0 items=0 ppid=4145 pid=7488 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=10 comm=sendmail exe=/usr/sbin/ssmtp subj=system_u:system_r:system_mail_t:s0-s0:c0.c1023 key=(null)
:
:Hash: sendmail,system_mail_t,init_t,unix_stream_socket,connectto
:
:audit2allow
:
:#============= system_mail_t ==============
:allow system_mail_t init_t:unix_stream_socket connectto;
:
:audit2allow -R
:
:#============= system_mail_t ==============
:allow system_mail_t init_t:unix_stream_socket connectto;
:
Comment 1 Miroslav Grepl 2012-03-07 03:49:32 EST
commit 57b44aedc53fe74c64a07c23e93522df1bcc8bfd
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Mar 7 10:09:45 2012 +0000

    Allow system_mail to send log msgs
Comment 2 Fedora Update System 2012-03-13 08:26:18 EDT
selinux-policy-3.10.0-80.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
Comment 3 Fedora Update System 2012-03-20 22:25:27 EDT
Package selinux-policy-3.10.0-80.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-80.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-23 20:37:36 EDT
selinux-policy-3.10.0-80.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.